﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows.Controls;

namespace ID500250
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			this.DataContext = new ViewModel();
		}
	}


	public class ViewModel
	{
		public ViewModel()
		{
			this.Children = new ObservableCollection<DataItem>();
			for (int i = 0; i < 3; i++)
			{
				DataItem d1 = new DataItem();
				d1.Title = "DataItem " + i.ToString();
				for (int j = 0; j < 3; j++)
				{
					DataItem d2 = new DataItem();
					d1.Children.Add(d2);
					d2.Title = "SubDataItem " + j.ToString();
				}
				this.Children.Add(d1);
			}
		}
		public ObservableCollection<DataItem> Children { get; set; }
	}

	public class DataItem
	{
		public DataItem()
		{
			this.Children = new ObservableCollection<DataItem>();
		}
		public string Title { get; set; }
		public ObservableCollection<DataItem> Children { get; set; }
	}
}
